Subject: RE: Apologies, and cont of problems compiling perl
From: [email-masked] (Todd Goodman)

28 Jan 1999 23:47:13 -0800
Message-ID: <001301be4aea$2dfd72e0$0301a8c0.cygnus.gnu-win32@tgoodman8>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: "'Jeff Bergan'" <[email-masked]>, <[email-masked]>

I had the same problem.  For a quick fix, I just commented out the check in
installperl:

--- installperl	Fri Jan 22 13:19:52 1999
+++ installperl.orig	Fri Jan 22 13:17:26 1999
@@ -122,8 +122,8 @@
    $installbin		|| die "No installbin directory in config.sh\n";
 -d $installbin		|| mkpath($installbin, 1, 0777);
 -d $installbin		|| $nonono || die "$installbin is not a directory\n";
-#-w $installbin		|| $nonono || die "$installbin is not writable by you\n"
-#	unless $installbin =~ m#^/afs/# || $nonono;
+-w $installbin		|| $nonono || die "$installbin is not writable by you\n"
+	unless $installbin =~ m#^/afs/# || $nonono;

 -x 'perl' . $exe_ext	|| die "perl isn't executable!\n";
 -x 'suidperl' . $exe_ext|| die "suidperl isn't executable!\n" if $d_dosuid;

I didn't want to mess with the operators or figure out NT permissions at
this time.

I also changed installman to install the man pages in subdirectories
correctly:

--- installman	Thu Jan 28 13:14:54 1999
+++ installman.orig	Fri Jan 22 21:13:02 1999
@@ -134,7 +134,7 @@
 	# Convert name from  File/Basename.pm to File::Basename.3 format,
 	# if necessary.
 	$manpage =~ s#\.p(m|od)$##;
-	if ($^O eq 'os2' || $^O eq 'amigaos' || $^O =~ /cygwin/) {
+	if ($^O eq 'os2' || $^O eq 'amigaos') {
 	  $manpage =~ s#/#.#g;
 	} else {
 	  $manpage =~ s#/#::#g;

Todd

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On
> Behalf Of Jeff Bergan
> Sent: Wednesday, January 27, 1999 5:07 PM
> To: [email-masked]
> Subject: Apologies, and cont of problems compiling perl
>
>
>
> Hi,
>
> Very sorry about my last message being sent in html format.
> My mailer seems
> to have decided to switch formats without telling me, but
> I've beaten it
> back into submission (I think!).
>
> I followed the directions posted on comp.lang.perl.misc by
> Steven Morlock,
> and I did get it to build successfully, passing ~ 90% of the tests.
> However, when I run make install, it still says:
>
> ./perl installperl
> mkdir /usr/local/bin
> /usr/local/bin is not writable by you
> make: *** [install.perl] Error 2
>
> Now, as you can see, it just created /usr/local/bin (I
> deleted what was
> there to make sure), and then claims it can't write to it.
> An ls -l on
> /usr/local/ says:
>
> drwxr-xr-x   2 administ Domain U        0 Jan 27 13:39 bin
> (cropped)
>
> Now, I've tried chmod, which doesn't affect it, I've tried
> setting the NT
> permissions to give everyone full control, and I've tried using the NT
> properties to take control of the directory, but nothing
> seems to change it,
> or affect ./perl installperl.  Any suggestions?
>
> Jeff
>
> PS.  It still complains during Configure that $d_void_sig is
> "undef", and I
> have no idea if it should be, and also "sh Configure" doesn't perform
> variable substitutions on the .SH files, claiming that they
> are not there.
> I instead did "sh Makefile.SH" etc, for all the *.SH files.
>
> PPS.  This is NT/SP3, cygwin b20.1, egcs 1.1
>
> -
> For help on using this list (especially unsubscribing), send
> a message to
> "[email-masked]" with one line of text: "help".
>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".